/***************************************************************************
                        acknowledgment.h  -  description
                             -------------------
    project              : GTagger
    version              : 0.1
    begin                : Sun Jan 10 2002
    lastchange           : Sun Jan 27 2002
    copyright            : (C) 2003 by Marcel Karras
    email                : toka@freebits.de
    homepage             : http://www.freebits.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef __ACKNOWLEDGMENT_H
#define __ACKNOWLEDGMENT_H

#include <gtkmm/scrolledwindow.h>
#include <gtkmm/table.h>
#include <gtkmm/frame.h>
#include <gtkmm/alignment.h>
#include <gtkmm/label.h>

/**
 * class which embodies the acknowledgment window implemented within the
 * info dialog (ctrl+i)
 */

class Acknowledgment : public Gtk::ScrolledWindow
{
  public:
    /**
     * Constructor
     */
    Acknowledgment();
    /**
     * Default Destructor
     */
    virtual ~Acknowledgment();
  
  private:
    Gtk::Table global_table;
    Gtk::Frame frame_ack;
    Gtk::Table ack_table;
    Gtk::Frame frame_thx;
    Gtk::Table thx_table;
    
    Gtk::Alignment es;
    Gtk::Alignment es_text;
    Gtk::Alignment fr;
    Gtk::Alignment fr_text;
    Gtk::Alignment nl;
    Gtk::Alignment nl_text;
    Gtk::Alignment pt;
    Gtk::Alignment pt_text;
    Gtk::Alignment sv;
    Gtk::Alignment sv_text;
    
    Gtk::Label l_es;
    Gtk::Label l_es_text;
    Gtk::Label l_fr;
    Gtk::Label l_fr_text;
    Gtk::Label l_nl;
    Gtk::Label l_nl_text;
    Gtk::Label l_pt;
    Gtk::Label l_pt_text;
    Gtk::Label l_sv;
    Gtk::Label l_sv_text;
    
    Gtk::Alignment tcr;
    Gtk::Alignment tcr_text;
    Gtk::Alignment channel;
    Gtk::Alignment channel_text;
    
    Gtk::Label l_tcr;
    Gtk::Label l_tcr_text;
    Gtk::Label l_channel;
    Gtk::Label l_channel_text;
};

#endif
