/***************************************************************************
                        infodialog.h  -  description
                             -------------------
    project              : GTagger
    version              : 0.1
    begin                : Sun Jan 10 2002
    lastchange           : Sun Jan 27 2002
    copyright            : (C) 2003 by Marcel Karras
    email                : toka@freebits.de
    homepage             : http://www.freebits.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __INFODIALOG_H
#define __INFODIALOG_H
#include <gtkmm/dialog.h>
#include <gtkmm/notebook.h>
#include <gtkmm/table.h>
#include <gtkmm/image.h>
#include <gtkmm/alignment.h>
#include <gtkmm/textview.h>
#include <gtkmm/textbuffer.h>
#include "acknowledgment.h"

/**
 * display the info dialog with several project information
 */

class InfoDialog : public Gtk::Dialog
{
  public:
    /**
     * Constructor
     */
    InfoDialog();
    /**
     * Destructor
     */
    ~InfoDialog();
  
  private:
    Gtk::Notebook       notebook;
    Gtk::Table          gtagger_table;
    Gtk::Table          thankyou_table;
    Gtk::Table          about_table;
    Gtk::Table          info_table;
    Gtk::Alignment      a_info_img;
    Gtk::Alignment      a_info_text;
    Gtk::Image          i_info;
    Gtk::Alignment      a_info_author;
    Gtk::Label          l_author;
    Gtk::Alignment      a_info_author_text;
    Gtk::Label          l_author_text;
    Gtk::Alignment      a_info_homepage;
    Gtk::Label          l_homepage;
    Gtk::Alignment      a_info_homepage_text;
    Gtk::Label          l_homepage_text;
    Gtk::Alignment      a_info_email;
    Gtk::Label          l_email;
    Gtk::Alignment      a_info_email_text;
    Gtk::Label          l_email_text;
    Acknowledgment      w_acknowledgment;
    Gtk::ScrolledWindow w_scrollwin;
    Gtk::TextView       w_textview;
};


#endif
