/***************************************************************************
                         tagadder.h  -  description
                             -------------------
    project              : GTagger
    version              : 0.1
    begin                : Sun Jan 14 2002
    lastchange           : Sun Jan 27 2002
    copyright            : (C) 2003 by Marcel Karras
    email                : toka@freebits.de
    homepage             : http://www.freebits.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __TAGADDER_H
#define __TAGADDER_H
#include <gtkmm/dialog.h>
#include <gtkmm/table.h>
#include <gtkmm/alignment.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>
#include <gtkmm/frame.h>
#include <gtkmm/combo.h>
#include <glibmm/ustring.h>

/**
 * dialog which records tag information inputs
 */

class TagAdder : public Gtk::Dialog
{
  public:
    /**
     * Constructor
     * @param title - title of the dialog window
     * @param filename - filename of the selected file a tag has to be added
     */
    TagAdder(const Glib::ustring& title, const Glib::ustring& filename);
    /**
     * Destructor
     */
    virtual ~TagAdder();
  
    /**
     * return the tag title
     * @param (ustring) - title
     */  
    Glib::ustring getTitle();
    /**
     * return the tag artist
     * @param (ustring) - artist
     */  
    Glib::ustring getArtist();
    /**
     * return the tag album
     * @param (ustring) - album
     */  
    Glib::ustring getAlbum();
    /**
     * return the tag track number
     * @param (int) - track number
     */  
    int getTrack();
    /**
     * return the tag genre
     * @param (string) - genre
     */  
    std::string getGenre();
  
  private:
    Gtk::Table w_tag_table;
    Gtk::Frame w_tag_frame;
    Gtk::Alignment w_label_tag_title;
    Gtk::Alignment w_label_tag_artist;
    Gtk::Alignment w_label_tag_album;
    Gtk::Alignment w_label_tag_track;
    Gtk::Alignment w_label_tag_genre;
    Gtk::Label w_l_tag_title;
    Gtk::Label w_l_tag_artist;
    Gtk::Label w_l_tag_album;
    Gtk::Label w_l_tag_track;
    Gtk::Label w_l_tag_genre;
    Gtk::Entry w_e_tag_title;
    Gtk::Entry w_e_tag_artist;
    Gtk::Entry w_e_tag_album;
    Gtk::Entry w_e_tag_track;
    Gtk::Combo w_e_tag_genre;
    Gtk::Entry w_e_prop_filename;
    Gtk::Entry w_e_filename;  	
};

#endif
