/***************************************************************************
                      acknowledgment.cc  -  description
                             -------------------
    project              : GTagger
    version              : 0.1
    begin                : Sun Jan 10 2002
    lastchange           : Sun Jan 27 2002
    copyright            : (C) 2003 by Marcel Karras
    email                : toka@freebits.de
    homepage             : http://www.freebits.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#define  _(x) gettext(x)
#include <libintl.h>
#include <gtkmm/viewport.h>
#include "acknowledgment.h"

Acknowledgment::Acknowledgment()
: global_table(1,2),
  frame_ack(Glib::locale_to_utf8(_("Translators"))),
  ack_table(2,5),
  frame_thx(Glib::locale_to_utf8(_("Special Support"))),
  thx_table(2,2),
  es(Gtk::ALIGN_RIGHT, Gtk::ALIGN_TOP, 0.0, 0.0),
  es_text(Gtk::ALIGN_LEFT, Gtk::ALIGN_TOP, 0.0, 0.0),
  fr(Gtk::ALIGN_RIGHT, Gtk::ALIGN_TOP, 0.0, 0.0),
  fr_text(Gtk::ALIGN_LEFT, Gtk::ALIGN_TOP, 0.0, 0.0),
  nl(Gtk::ALIGN_RIGHT, Gtk::ALIGN_TOP, 0.0, 0.0),
  nl_text(Gtk::ALIGN_LEFT, Gtk::ALIGN_TOP, 0.0, 0.0),
  pt(Gtk::ALIGN_RIGHT, Gtk::ALIGN_TOP, 0.0, 0.0),
  pt_text(Gtk::ALIGN_LEFT, Gtk::ALIGN_TOP, 0.0, 0.0),
  sv(Gtk::ALIGN_RIGHT, Gtk::ALIGN_TOP, 0.0, 0.0),
  sv_text(Gtk::ALIGN_LEFT, Gtk::ALIGN_TOP, 0.0, 0.0),
  l_es(Glib::locale_to_utf8("ES  ...  ")),
  l_es_text(Glib::locale_to_utf8(
            "Javier O. Augusto\n<javier.augusto@gmx.net>")),
  l_fr(Glib::locale_to_utf8("FR  ...  ")),
  l_fr_text(Glib::locale_to_utf8(
            "Mathieu Doidy\n<tenfingers@ifrance.com>")),
  l_nl(Glib::locale_to_utf8("NL  ...  ")),
  l_nl_text(Glib::locale_to_utf8(
            "Joost Winter <jwinter@science.uva.nl>")),
  l_pt(Glib::locale_to_utf8("PT  ...  ")),
  l_pt_text(Glib::locale_to_utf8(
            "Javier O. Augusto\n<javier.augusto@gmx.net>")),
  l_sv(Glib::locale_to_utf8("SV  ...  ")),
  l_sv_text(Glib::locale_to_utf8(
            "Per Granlund\n<lutz@bredband.net>")),
  tcr(Gtk::ALIGN_RIGHT, Gtk::ALIGN_TOP, 0.0, 0.0),
  tcr_text(Gtk::ALIGN_LEFT, Gtk::ALIGN_BOTTOM, 0.0, 0.0),
  channel(Gtk::ALIGN_RIGHT, Gtk::ALIGN_TOP, 0.0, 0.0),
  channel_text(Gtk::ALIGN_LEFT, Gtk::ALIGN_TOP, 0.0, 0.0),
  l_tcr(Glib::locale_to_utf8(
        "Tobias Rittweiler\n<tobrit@freebits.de>  ...  ")),
  l_tcr_text(Glib::locale_to_utf8(_("established contact with translators"))),
  l_channel(Glib::locale_to_utf8("irc.gnome.org #c++ ...  ")),
  l_channel_text(Glib::locale_to_utf8(_("further help on Gtk--")))
{
  set_policy(Gtk::POLICY_AUTOMATIC,Gtk::POLICY_AUTOMATIC);
  set_shadow_type(Gtk::SHADOW_NONE);

  es.add(l_es);
  es_text.add(l_es_text);
  fr.add(l_fr);
  fr_text.add(l_fr_text);
  nl.add(l_nl);
  nl_text.add(l_nl_text);
  pt.add(l_pt);
  pt_text.add(l_pt_text);
  sv.add(l_sv);
  sv_text.add(l_sv_text);
	
  ack_table.attach(es,0,1,0,1,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(es_text,1,2,0,1,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(fr,0,1,1,2,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(fr_text,1,2,1,2,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(nl,0,1,2,3,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(nl_text,1,2,2,3,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(pt,0,1,3,4,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(pt_text,1,2,3,4,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(sv,0,1,4,5,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
  ack_table.attach(sv_text,1,2,4,5,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,2,2);
	
  frame_ack.add(ack_table);
  global_table.attach(frame_ack,0,1,0,1,Gtk::FILL|Gtk::EXPAND,
                                        Gtk::FILL,5,5);
  
  tcr.add(l_tcr);
  tcr_text.add(l_tcr_text);
  channel.add(l_channel);
  channel_text.add(l_channel_text);
  
  thx_table.attach(tcr,0,1,0,1,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5,5);
  thx_table.attach(tcr_text,1,2,0,1,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5,5);
  thx_table.attach(channel,0,1,1,2,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5,5);
  thx_table.attach(channel_text,1,2,1,2,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5,5);
  
  frame_thx.add(thx_table);
  global_table.attach(frame_thx,0,1,1,2,Gtk::FILL|Gtk::EXPAND,
                                        Gtk::FILL,5,5);

  add(global_table);
  dynamic_cast<Gtk::Viewport&>(*(get_child())).set_shadow_type(
                                              Gtk::SHADOW_NONE);
  show_all();
}
	
Acknowledgment::~Acknowledgment()
{
}
