/***************************************************************************
                    filesystemexception.cc  -  description
                             -------------------
    project              : GTagger
    version              : 0.1
    begin                : Sun Jan 10 2002
    lastchange           : Sun Jan 27 2002
    copyright            : (C) 2003 by Marcel Karras
    email                : toka@freebits.de
    homepage             : http://www.freebits.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#define  _(x) gettext(x)
#include <libintl.h>
#include <iostream>
#include <glibmm/ustring.h>
#include "filesystemexception.h"
#include "errordialog.h"

FileSystemException::FileSystemException(const ErrorTypes& err, 
                                         const Glib::ustring& add_msg)
throw()
:_error(err), _addmsg(add_msg)
{	
}

FileSystemException::~FileSystemException()
throw()
{	
}
	
void FileSystemException::showErrorDialog() const
throw()
{
  Glib::ustring _message;
  switch(_error){
    case FS_STAT_DIR:  _message = Glib::locale_to_utf8(
	                          _("Unable to read directory"));
                       break;
    case FS_STAT_FILE: _message = Glib::locale_to_utf8(
                                  _("Unable to read file"));
                       break;
    case FS_RENAME:    _message = Glib::locale_to_utf8(
                                  _("Unable to rename file"));
		       break;
    case FS_DELETE:    _message = Glib::locale_to_utf8(
                                  _("Unable to delete file"));
                       break;
    default:           _message = Glib::locale_to_utf8(
                                  _("Unknown filesystem error"));
                       break;
  }
  if(!_addmsg.empty())
    _message += ": "+_addmsg;		
  ErrorDialog d_error(_message);
  d_error.run();
}
