/***************************************************************************
                         tagadder.h  -  description
                             -------------------
    project              : GTagger
    version              : 0.1
    begin                : Sun Jan 10 2002
    lastchange           : Sun Jan 27 2002
    copyright            : (C) 2003 by Marcel Karras
    email                : toka@freebits.de
    homepage             : http://www.freebits.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#define  _(x) gettext(x)
#include <libintl.h>
#include "tagadder.h"
#include "genre.h"
#include <algorithm>
#include <gtkmm/stock.h>

TagAdder::TagAdder(const Glib::ustring& title, const Glib::ustring& filename)
: Dialog(title,false,false),
  w_tag_table(4,4),
  w_tag_frame(Glib::locale_to_utf8(_("Tag Attributes"))),
  w_label_tag_title(Gtk::ALIGN_RIGHT, Gtk::ALIGN_CENTER, 0.0, 0.0),
  w_label_tag_artist(Gtk::ALIGN_RIGHT, Gtk::ALIGN_CENTER, 0.0, 0.0),
  w_label_tag_album(Gtk::ALIGN_RIGHT, Gtk::ALIGN_CENTER, 0.0, 0.0),
  w_label_tag_track(Gtk::ALIGN_RIGHT, Gtk::ALIGN_CENTER, 0.0, 0.0),
  w_label_tag_genre(Gtk::ALIGN_RIGHT, Gtk::ALIGN_CENTER, 0.0, 0.0),
  w_l_tag_title(Glib::locale_to_utf8(_("Title :"))),
  w_l_tag_artist(Glib::locale_to_utf8(_("Artist :"))),
  w_l_tag_album(Glib::locale_to_utf8(_("Album :"))),
  w_l_tag_track(Glib::locale_to_utf8(_("Track :"))),
  w_l_tag_genre(Glib::locale_to_utf8(_("Genre :")))
{
  add_button(Gtk::Stock::SAVE, Gtk::RESPONSE_OK);

  add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
  Gtk::Box& box_dialog = *get_vbox();
  
  w_e_tag_track.set_max_length(3);
  w_e_tag_track.set_width_chars(4);
  std::vector<std::string> genre_list;
  genre_list.push_back(std::string("Unknown"));
  for(uint i=0; i < 148; i++)
    genre_list.push_back(std::string(genre_table[i]));
  sort(genre_list.begin(),genre_list.end());
  w_e_tag_genre.set_popdown_strings(genre_list);
  w_e_tag_genre.get_entry()->set_text("Unknown");
  w_label_tag_title.add(w_l_tag_title);
  w_label_tag_artist.add(w_l_tag_artist);
  w_label_tag_album.add(w_l_tag_album);
  w_label_tag_track.add(w_l_tag_track);
  w_label_tag_genre.add(w_l_tag_genre);
  w_tag_table.set_border_width(5);
  w_tag_table.attach(w_label_tag_title,0,1,0,1,Gtk::FILL,Gtk::FILL,5);
  w_tag_table.attach(w_e_tag_title,1,4,0,1,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5);
  w_tag_table.attach(w_label_tag_artist,0,1,1,2,Gtk::FILL,Gtk::FILL,5);
  w_tag_table.attach(w_e_tag_artist,1,4,1,2,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5);
  w_tag_table.attach(w_label_tag_album,0,1,2,3,Gtk::FILL,Gtk::FILL,5);
  w_tag_table.attach(w_e_tag_album,1,4,2,3,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5);
  w_tag_table.attach(w_label_tag_track,0,1,3,4,Gtk::FILL,Gtk::FILL,5);
  w_tag_table.attach(w_e_tag_track,1,2,3,4,Gtk::FILL,Gtk::FILL,5);
  w_tag_table.attach(w_label_tag_genre,2,3,3,4,Gtk::FILL,Gtk::FILL,5);
  w_tag_table.attach(w_e_tag_genre,3,4,3,4,Gtk::FILL|Gtk::EXPAND,Gtk::FILL,5);
  w_tag_frame.add(w_tag_table);
  w_e_filename.set_editable(false);
  w_e_filename.set_text(filename);
  box_dialog.pack_start(w_e_filename);
  box_dialog.pack_start(w_tag_frame);	
  set_default_size(500,200);
  w_e_tag_title.grab_focus();
  show_all();
}
	
TagAdder::~TagAdder()
{
}

Glib::ustring TagAdder::getTitle()
{
  return w_e_tag_title.get_text();
}
Glib::ustring TagAdder::getArtist()
{
  return w_e_tag_artist.get_text();
}
Glib::ustring TagAdder::getAlbum()
{
  return w_e_tag_album.get_text();
}
int TagAdder::getTrack()
{
  return atoi(w_e_tag_track.get_text().c_str());
}
std::string TagAdder::getGenre()
{
  return w_e_tag_genre.get_entry()->get_text();
}
